#! /bin/bash

if [ "$(id -u)" != "0" ]; then
  echo "This script must be run as root!"
  exit
fi

if [ -d /usr/lib/openxp ] ; then
  libdir=/usr/lib/openxp
else
  libdir=/usr/local/lib/openxp
fi

if [ ! -d $libdir ] ; then 
  mkdir $libdir
fi
if [ ! -d $libdir/beispiel ] ; then 
  mkdir $libdir/beispiel
fi
if [ ! -d $libdir/bin ] ; then 
  mkdir $libdir/bin
fi
if [ ! -d $libdir/doc ] ; then 
  mkdir $libdir/doc
fi
if [ ! -d $libdir/lib ] ; then 
  mkdir $libdir/lib
fi
if [ ! -d $libdir/License ] ; then 
  mkdir $libdir/License
fi
if [ ! -d $libdir/samples ] ; then 
  mkdir $libdir/samples
fi

chmod a+x bin/openxp

cp beispiel/* $libdir/beispiel
cp bin/* $libdir/bin
cp doc/* $libdir/doc
cp lib/* $libdir/lib
cp License/* $libdir/License
cp samples/* $libdir/samples

if [ ! -d /usr/local/bin ] ; then
  mkdir /usr/local/bin
fi  

ln -sf $libdir/bin/openxp /usr/local/bin/xp
ln -sf $libdir/bin/openxp /usr/local/bin/openxp

echo "Done"	;
